*DECK TRCCOS
      SUBROUTINE TRCCOS(NAN360,ANGLES,COSA,SINA)
*
*-----------------------------------------------------------------------
*
*----
*  SUBROUTINE ARGUMENTS
*----
      INTEGER NAN360,K,INC
      REAL COSA(NAN360),SINA(NAN360)
      DOUBLE PRECISION ANGLES(NAN360)
*
      INC=NAN360/2
*     0 to PI
      DO K=1,INC
         COSA(K)=REAL(DCOS(ANGLES(K)))
         SINA(K)=REAL(DSIN(ANGLES(K)))
      ENDDO
*     PI to 3*PI/2
      DO K=1,NAN360/4
         COSA(K+INC)=COSA(INC+1-K)
         SINA(K+INC)=-SINA(INC+1-K)
      ENDDO
*     3*PI/2 to 2*PI
      DO K=1,NAN360/4
         COSA(K+3*INC/2)=COSA(INC/2+1-K)
         SINA(K+3*INC/2)=-SINA(INC/2+1-K)
      ENDDO
*
      RETURN
      END
